Bug 120281 - sendmail service freeze at boot up process
sendmail service freeze at boot up process
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-04-07 11:38 EDT by Jones Lee
Modified: 2013-01-27 20:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 08:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jones Lee 2004-04-07 11:38:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I encountered this bug twice and very rare and hard to reproduce the 
bug. When boot up Linux, FC freeze at Starting sendmail, the only 
solution is to reset the PC, but the worst happens, all FC stuffed up 
and need to reinstall all over or else you can't even log in to X.

Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. After installing FC or after many times using FC test 2
2. At process boot up, sendmail service freeze
3. Freeze at Starting sendmail..
    

Additional info:
Comment 1 Thomas Woerner 2004-04-08 11:30:38 EDT
This seems to be a hardware or dns problem.
Comment 2 Jones Lee 2004-04-09 04:42:50 EDT
Yes, it could be my ADSL DHCP modem fault, but if there is some
problems with DNS, at least sendmail service can be abandoned and pass
through. But it didn't and once it did but took 15min.
Comment 3 Warren Togami 2004-06-24 03:07:58 EDT
This problem seems triggerable on FC2.  Some system-config-* tool is
leaving networking configuration in a bad state.  Investigating further...
Comment 4 Warren Togami 2004-06-24 03:33:23 EDT
Found one way to reproduce this.  If your /etc/hosts contains an
invalid IP address associated with your hostname, then this message
appears in /var/log/maillog:

Jun 23 21:22:31 ibmlaptop sendmail[16633]: My unqualified host name
(ibmlaptop) unknown; sleeping for retry

Then sendmail sits there forever, preventing system startup.  IMHO
preventing startup is unacceptable, so we have two options for this
kind of situation:

1) Modify sendmail to ignore this problem - bad solution.
2) Modify our service startup script to detect this corner case, and
display an error message to console as well as log file and
immediately abort startup.

FC3 target
Comment 5 Patrice Dumas 2004-10-04 15:04:52 EDT
I see that issue too with rawhide of october 3, but sendmail doesn't
sleep forever, but for a minute. My boot process is first stuck with
smartd, before sendmail is launched as a daemon (smartd sends mails
because of errors on disk). sendmail and sm-client also take time to
start.

Oct  4 09:42:24 chapelle sendmail[2782]: My unqualified host name
(chapelle) unknown; sleeping for retry
Oct  4 09:43:24 chapelle sendmail[2782]: unable to qualify my own
domain name (chapelle) -- using short name
Comment 6 Matthew Miller 2005-04-26 12:11:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Thomas Woerner 2005-05-11 08:21:42 EDT
There is a shorter timeout in newer sendmail versions.
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.